package routes

import (
 "github.com/gin-gonic/gin"
 "net/http"
)

// NewEngine -
func NewEngine () *gin.Engine {
	engine := gin.New()
	engine.Use(gin.Logger())
	engine.Use(gin.Recovery())

	return engine
}

// SetRoutes -
func SetRoutes(r *gin.Engine) {
	r.GET("/", func (c *gin.Context) {
		c.JSON(http.StatusOK, gin.H{
			"message": "success",
		})
	})
}
